import request from '@/utils/request'

// 确认支（吊）架
export function handleConfirmFrame(data) {
  return request({
    url: '/pssr/frame/confirmFrame',
    method: 'put',
    data: data
  })
}

// 驳回支（吊）架
export function handleTurnDownFrame(data) {
  return request({
    url: '/pssr/frame/turnDownFrame',
    method: 'put',
    data: data
  })
}

// 查询支（吊）架列表
export function listFrame(query) {
  return request({
    url: '/pssr/frame/list',
    method: 'get',
    params: query
  })
}

// 查询支（吊）架详细
export function getFrame(id) {
  return request({
    url: '/pssr/frame/' + id,
    method: 'get'
  })
}

// 新增支（吊）架
export function addFrame(data) {
  return request({
    url: '/pssr/frame',
    method: 'post',
    data: data
  })
}

// 修改支（吊）架
export function updateFrame(data) {
  return request({
    url: '/pssr/frame',
    method: 'put',
    data: data
  })
}

//
export function updateFrameBatch(data) {
  return request({
    url: '/pssr/frame/editBatch',
    method: 'put',
    data: data
  })
}


// 删除支（吊）架
export function delFrame(id) {
  return request({
    url: '/pssr/frame/' + id,
    method: 'delete'
  })
}

// 导出支（吊）架
export function exportFrame(query) {
  return request({
    url: '/pssr/frame/export',
    method: 'get',
    params: query
  })
}
